<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/base_root"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center_horizontal"
        android:orientation="vertical"
        app:cardCornerRadius="16dp"
        app:cardElevation="0dp">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingVertical="16dp">


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                style="@style/MaterialAlertDialog.Material3.Title.Text.CenterStacked"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="16dp"
                android:gravity="center_horizontal"
                android:text="@string/dialog_choose_arts_from_lista_art" />


            <androidx.appcompat.widget.SearchView
                android:id="@+id/main_search"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_gravity="end"
                android:iconifiedByDefault="true"
                android:tint="@android:color/black"
                app:defaultQueryHint="@string/search"
                app:iconifiedByDefault="false" />

            <RelativeLayout
                android:id="@+id/empty_view"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp"
                android:gravity="center"
                android:padding="16dp">


                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="@string/no_item_to_pick_text"
                    android:textColor="@color/empty_view_gray"
                    android:textSize="20sp" />

            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/lista_arts"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:nestedScrollingEnabled="false"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:itemCount="4"
                tools:listitem="@layout/dialog_choose_arts_from_mtb_colr_list__item_model" />

        </androidx.appcompat.widget.LinearLayoutCompat>


    </androidx.cardview.widget.CardView>
</layout>